using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class WebMain_news_Announcement : System.Web.UI.UserControl
{

    TableRow tr;
    TableCell tc;
    private string newsid;
    private string tit;
    public string NewsId
    {
        set
        {
            newsid = value.ToString();
        }
    }
    public string TITLE
    {
        set
        {
            tit = value.ToString();
        }
        get
        {
            return "标题";
        }
    }
    protected void Page_Load(object sender, EventArgs e)
    {
        uc_news_styte3 s1 = (uc_news_styte3)this.LoadControl("../../uc/news/style3.ascx");
        string id = newsid;//所指向小类ID
        s1.Id =id;
        s1.Rss ="3"; //显示行数
        s1.StrLength = 13; //截取多少个字符后显示...
        s1.ShowDate = "n"; //是否显示日期
        s1.titl = tit;
        string title = "公司公告";
        string h1text = "更多...";//更多...|More

        tr = new TableRow();
        tc = new TableCell();
        tr.CssClass = "newsann";
        tc.HorizontalAlign = HorizontalAlign.Left;
        tc.Controls.Add(s1);
        tr.Controls.Add(tc);
        TB.Controls.Add(tr);
        TB.Controls.Add(tr);
    }

}
